> ## Documentation Index
> Fetch the complete documentation index at: https://fireworks.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# US-only Serverless

> Run Fireworks Serverless inference exclusively on US infrastructure using US-scoped model routers like Kimi K3, for data-residency and compliance needs.

US-only Serverless serves inference exclusively from the US, making it a good fit for compliance needs.

## Available models

| Model | `model` ID |
| - | - |
| Kimi K3 | `accounts/fireworks/routers/kimi-k3-us` |
| DeepSeek V4.1 Flash | `accounts/fireworks/routers/deepseek-v4p1-flash-us` |
| DeepSeek V4.1 Flash 1017 | `accounts/fireworks/routers/deepseek-v4p1-flash-1017-us` |
| GLM 5.3 | `accounts/fireworks/routers/glm-5p3-us` |
| GLM 5.3 Flash | `accounts/fireworks/routers/glm-5p3-flash-us` |
| Muse Spark Open | `accounts/fireworks/models/muse-spark-open` |

## How to use it

Call `https://us.api.fireworks.ai` and pass one of the US model IDs from the table above as `model`.

```bash theme={null}
curl https://us.api.fireworks.ai/inference/v1/chat/completions \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $FIREWORKS_API_KEY" \
  -d '{
    "model": "accounts/fireworks/routers/kimi-k3-us",
    "messages": [{"role": "user", "content": "Hello"}]
  }'
```

```python theme={null}
from fireworks import Fireworks

client = Fireworks(base_url="https://us.api.fireworks.ai/inference")

response = client.chat.completions.create(
    model="accounts/fireworks/routers/kimi-k3-us",
    messages=[{"role": "user", "content": "Hello"}],
)

print(response.choices[0].message.content)
```

To require this for every request on your account, see [Data residency](https://fireworks.ai/docs/accounts/data-residency.md).

## Pricing

Beginning September 1, 2026, launched US-only models are priced at 1.5x the base model serverless prices. Kimi K3 (US) already includes this premium. Muse Spark Open is US-only, and that premium is waived. See [Serverless pricing](https://fireworks.ai/docs/serverless/pricing.md).

## Other regions

For EU-only Serverless, contact [sales](https://fireworks.ai/company/contact-us).

## Related

* [Serverless Modes](https://fireworks.ai/docs/serverless/serverless-modes.md)
* [Serverless pricing](https://fireworks.ai/docs/serverless/pricing.md)
* [Serverless overview](https://fireworks.ai/docs/serverless/overview.md)
* [Data Security](https://fireworks.ai/docs/guides/security_compliance/data_security.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.